Complete a manual task

POST
/advanced/campaigns/{campaignId}/manual-tasks/status

Marks the task of one contact as done (ok, event TASK_COMPLETED) or failed (ko, event TASK_FAILED) and moves the contact to the next step. A task can only be completed once.

Authorization

apiKey
Authorization<token>

Your 48 character API key, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api.

In: header

Path Parameters

campaignId*string

Identifier of a multichannel campaign (24 hexadecimal characters), as returned by POST /advanced/campaigns or GET /advanced/campaigns.

Match^[0-9a-fA-F]{24}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/advanced/campaigns/6650f1a2b839d80011c5a0f1/manual-tasks/status" \  -H "Authorization: YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "contactId": "6650f1a2b839d80011c5d001",    "taskId": "6650f1a2b839d80011c5c010",    "status": "ok"  }'
{  "success": true}